Bug 1884291 - [RFE] Include CVE information in 'Host - Applied Errata' reporting template.
Summary: [RFE] Include CVE information in 'Host - Applied Errata' reporting template.
Keywords:
Status: NEW
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Reporting
Version: 6.8.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-01 15:13 UTC by Amar Huchchanavar
Modified: 2021-04-07 12:06 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 31627 0 High New Include CVE information in 'Host - Applied Errata' reporting template. 2021-02-21 22:58:52 UTC

Description Amar Huchchanavar 2020-10-01 15:13:09 UTC
1. Proposed title of this feature request
[RFE] Include CVE information in 'Host - Applied Errata ' reporting template.

3. What is the nature and description of the request?
Monitor -> Report Templates -> Host - Applied Errata - this report does not contain CVE informtaion.

Current headings:
date	hostname	erratum_id	erratum_type	status	last_reboot_time



Whereas 'Host - Applicable Errata' reporting template contains all the required information.

Host	Operating System	Environment	Erratum	Type	Published	Applicable since	Severity	Packages	CVEs	Reboot suggested


4. Why does the customer need this? (List the business requirements here)
CVE reporting is critical to some organizations and this will definitely help to verify the CVE data prior and after patching the systems. Based on the reports, necessary actions can be taken.

5. How would the customer like to achieve this? (List the functional requirements here)
By including CVE data in 'Host - Applied Errata ' reporting template.

7. Is there already an existing RFE upstream or in Red Hat Bugzilla?
No

8. Does the customer have any specific timeline dependencies and which release would  they  like  to  target  (i.e.  RHEL5,
       RHEL6)?
Satellite 6.8 GA or Satellite 6.8.1

11. Would the customer be able to assist in testing this functionality if implemented?
yes

Comment 2 Dominik Matoulek 2021-01-14 09:53:42 UTC
Created redmine issue https://projects.theforeman.org/issues/31627 from this bug


Note You need to log in before you can comment on or make changes to this bug.